%define beta b2
%define reldate 080811

Distribution:	CCux
Packager:  	Christian Wasem <wasem@ccux-linux.de>

Name:      	flash-plugin
Version:   	11
Release:   	1
License: 	Commercial
Group:     	Internet/Plugins
Summary:   	Macromedia Flash Plugin 
URL:		http://labs.adobe.com/downloads/flashplayer10.html
Source0:	flashplayer11%{?beta:_%{beta}}_install_lin_32%{?reldate:_%{reldate}}.tar.gz
Source1:        flashplayer11%{?beta:_%{beta}}_install_lin_64%{?reldate:_%{reldate}}.tar.gz

%define         ffplugindir     %{_libdir}/mozilla/plugins
%define		konqplugindir	%{_libdir}/netscape/plugins

%description
Macromedia Flash Plugin

%prep
mkdir -p package_flash_plugin
pushd package_flash_plugin
%ifarch x86_64 
	tar xf %{SOURCE1}
%else
	tar xf %{SOURCE0}
%endif
popd

%build

%install
rm -rf $RPM_BUILD_ROOT
pushd package_flash_plugin
mkdir -p $RPM_BUILD_ROOT%ffplugindir
mkdir -p $RPM_BUILD_ROOT%konqplugindir
cp *.so $RPM_BUILD_ROOT%ffplugindir
ln -s ../../mozilla/plugins/libflashplayer.so $RPM_BUILD_ROOT/%konqplugindir/libflashplayer.so
popd

%files
%defattr(-,root,root)
%ffplugindir
%konqplugindir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Aug 20 2011 Karsten Brockmann <arcam@ccux-linux.de> 11-1
- version update, 11b2
* Sat Aug 20 2011 Karsten Brockmann <arcam@ccux-linux.de> 10.3-1
- version update, 10.3.183.5
* Wed Feb 09 2011 Karsten Brockmann <arcam@ccux-linux.de> 10.2-2
- version update, 10.2.153.1
* Wed Feb 09 2011 Karsten Brockmann <arcam@ccux-linux.de> 10.2-1
- version update, 10.2.152.27
* Sat Dec 04 2010 Karsten Brockmann <arcam@ccux-linux.de> 10.1-7
- version update, 10.1.102.65
* Fri Nov 05 2010 Karsten Brockmann <arcam@ccux-linux.de> 10.1-6
- version update, 10.1.102.64
* Tue Sep 21 2010 Karsten Brockmann <arcam@ccux-linux.de> 10.1-5
- version update, 10.1.85.3
* Wed Aug 11 2010 Karsten Brockmann <arcam@ccux-linux.de> 10.1-4
- version update, 10.1.82.76
* Thu Jun 10 2010 Karsten Brockmann <arcam@ccux-linux.de> 10.1-3
- 10.1 final
* Thu May 27 2010 Karsten Brockmann <arcam@ccux-linux.de> 10.1-2
- 10.1 rc6
* Tue Jan 26 2010 Christian Metzen <metzench@ccux-linux.de> 10.1-1
- Version update 
- 10.1 p2
* Wed Dec 09 2009 Karsten Brockmann <arcam@ccux-linux.de> 10.0.42.34-1
- version update
* Sun Aug 02 2009 Karsten Brockmann <arcam@ccux-linux.de> 10.0.32.18-1
- version update
* Mon Mar 02 2009 Karsten Brockmann <arcam@ccux-linux.de> 10.0.22.87-1
- version update
- set architecture type back to i686 (arch depending binary)
* Mon Dec 22 2008 Karsten Brockmann <arcam@ccux-linux.de> 10.0.15.3-1
- version update
* Thu Jul 03 2008 Karsten Brockmann <arcam@ccux-linux.de> 10.0.0.0-2
- beta 2
* Thu May 15 2008 Karsten Brockmann <arcam@ccux-linux.de> 10.0.0.0-1
- version update
- beta b218
* Fri May 02 2008 Karsten Brockmann <arcam@ccux-linux.de> 9.0.124.0-1
- version update
* Thu Mar 27 2008 Christian Wasem <wasem@ccux-linux.de> 9.0.115.0-2
- changed package group to Internet/Plugins
* Tue Dec 04 2007 Karsten Brockmann <arcam@ccux-linux.de> 9.0.115.0-1
- version update
* Sat Sep 29 2007 Karsten Brockmann <arcam@ccux-linux.de> 9.0.60.184
- version update
* Wed Jul 11 2007 Karsten Brockmann <arcam@ccux-linux.de> 9.0.48.0-1
- version update
* Wed Jan 17 2007 Christian Metzen <metzench@ccux-linux.de> 9.0.31.0-1
- Version update
* Tue Nov 21 2006 Karsten Brockmann <arcam@ccux-linux.de> 9.0.21.78-1
- version update, BETA 2
* Sat Oct 21 2006 Karsten Brockmann <arcam@ccux-linux.de> 9.0.21.55-1
- version update, BETA
* Fri Sep 15 2006 Karsten Brockmann <arcam@ccux-linux.de> 7.0.68-1
- version update
* Sun May 07 2006 Christian Wasem <wasem@ccux-linux.de> 7.0.63-1
- Update to Version 7.0.63
